Dispositivos
GET https://notifycame.com/api/devices/
curl --request GET \
--url 'https://notifycame.com/api/devices/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/devices/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| page | Opcional Entero | El número de página del que desea resultados. Predeterminado a 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es 25. |
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Qué campo está buscando? Los valores permitidos son: name, ip. |
| user_id | Opcional Entero | Filter results by user ID. |
| datetime_field | Opcional Cadena | Valores permitidos: last_ping_datetime, last_sent_datetime, last_received_datetime, datetime, last_datetime |
| datetime_start | Opcional Cadena | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Cadena | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: device_id, name, last_ping_datetime, last_sent_datetime, last_received_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_received_sms. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"notifications": [
1,
2,
3
],
"settings": null,
"sims": [
{
"subscription_id": 1,
"phone_number": "+1234567890",
"carrier_name": "T-Mobile",
"display_name": "SIM 1",
"slot_index": 0
}
],
"device_fcm_token": "",
"device_model": "sdk_gphone64_arm64",
"device_brand": "google",
"device_os": "16",
"device_battery": 59,
"device_is_charging": true,
"ip": "123.123.123.123",
"total_sent_sms": 50,
"total_pending_sms": 10,
"total_received_sms": 25,
"total_failed_sms": 1,
"last_sent_datetime": "2026-04-20 10:36:31",
"last_ping_datetime": "2026-04-20 10:36:31",
"last_received_datetime": null,
"datetime": "2026-04-20 10:36:31",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifycame.com/api/devices?page=1",
"last": "https://notifycame.com/api/devices?page=1",
"next": null,
"prev": null,
"self": "https://notifycame.com/api/devices?page=1"
}
}
GET https://notifycame.com/api/devices/{device_id}
curl --request GET \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"notifications": [
1,
2,
3
],
"settings": null,
"sims": [
{
"subscription_id": 1,
"phone_number": "+1234567890",
"carrier_name": "T-Mobile",
"display_name": "SIM 1",
"slot_index": 0
}
],
"device_fcm_token": "",
"device_model": "sdk_gphone64_arm64",
"device_brand": "google",
"device_os": "16",
"device_battery": 59,
"device_is_charging": true,
"ip": "123.123.123.123",
"total_sent_sms": 50,
"total_pending_sms": 10,
"total_received_sms": 25,
"total_failed_sms": 1,
"last_sent_datetime": "2026-04-20 10:36:31",
"last_ping_datetime": "2026-04-20 10:36:31",
"last_received_datetime": null,
"datetime": "2026-04-20 10:36:31",
"last_datetime": null
},
}
POST https://notifycame.com/api/devices
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| notifications | Opcional Matriz | IDs de manejadores de notificaciones |
| sms_in_between_delay_minimum | Opcional Entero | Valores permitidos: 1 - 300 |
| sms_in_between_delay_maximum | Opcional Entero | Valores permitidos: 1 - 300 |
| auto_tags_condition | Opcional Matriz | Valores permitidos: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than |
| auto_tags_sms | Opcional Matriz | Received SMS |
| auto_tags_action | Opcional Matriz | Valores permitidos: add, remove |
| auto_tags_custom_parameter_key | Opcional Matriz | Custom parameter key |
| auto_tags_custom_parameter_value | Opcional Matriz | Custom parameter value |
curl --request POST \
--url 'https://notifycame.com/api/devices' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--url 'https://notifycame.com/api/devices' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
{
"data": {
"id": 1
}
}
POST https://notifycame.com/api/devices/{device_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | - |
| notifications | Opcional Matriz | IDs de manejadores de notificaciones |
| sms_in_between_delay_minimum | Opcional Entero | Valores permitidos: 1 - 300 |
| sms_in_between_delay_maximum | Opcional Entero | Valores permitidos: 1 - 300 |
| auto_tags_condition | Opcional Matriz | Valores permitidos: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than |
| auto_tags_sms | Opcional Matriz | Received SMS |
| auto_tags_action | Opcional Matriz | Valores permitidos: add, remove |
| auto_tags_custom_parameter_key | Opcional Matriz | Custom parameter key |
| auto_tags_custom_parameter_value | Opcional Matriz | Custom parameter value |
curl --request POST \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://notifycame.com/api/devices/{device_id}
curl --request DELETE \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \